{ pkgs, config, ... }:
{
  imports = [
    <nixos-hardware/pine64/pinebook-pro>
    <nixpkgs/nixos/modules/installer/sd-card/sd-image-aarch64.nix>
    ./os/loader.nix
  ];
  # nixos-hardware use latest kernel by default. This obviously runs quickly out of sync with zfs packages.
  # zfs packages are included despite me asking anything zfs, probably they're in the image for installation purposes?
  boot.kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;

  networking.hostName = "pindakaas";

  frogeye.extra = false; # FIXME Not working yet
  frogeye.desktop.xorg = true;
  frogeye.dev.docker = true;
}
